#version 330 core

layout(location=0) in vec2 uv;
layout(location=1) in vec3 position;

out vec2 texCoord;

uniform mat4 model;
uniform mat4 view_proj;

void main()
{
	// Pass some variables to the fragment shader
    texCoord = uv;
	
	gl_Position = view_proj * model * vec4(position, 1);
}

