#version 420 core

uniform mat4 view_proj;

layout (location = 0) in vec3 inPosition;
layout (location = 1) in vec2 inCoord;

out vec2 texCoord;

void main()
{
	gl_Position = view_proj*vec4(inPosition, 1.0);
	texCoord = inCoord;
}